<?php
// Set up vars to track results.
// Error message is a flag, too.
$errorMessage = '';
$taxRate = 0;
$stateShortName = '';
$stateLongName = '';
// Is there input?
if (!isset($_GET['state'])) {
    $errorMessage = 'Sorry, you must give a state.';
}
if ($errorMessage == '') {
    // OK so far.
    $stateShortName = strtoupper(trim($_GET['state']));
    // Is the state known?
    if ($stateShortName != 'MI' && $stateShortName != 'IL') {
        $errorMessage = "Sorry, '$stateShortName' is not a recognized state.";
    }
}
if ($errorMessage == '') {
    // Input checks out.
    // Lookup.
    if ($stateShortName == 'MI') {
        $stateLongName = 'Michigan';
        $taxRate = 0.06;
    }
    else  {
        $stateLongName = 'Illinois';
        $taxRate = 0.0625;
    }
}
?><!doctype html>
<html lang="en">
    <head>
        <title>Sales tax rate</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="styles.css">
    </head>
    <body>
        <h1>Sales tax rate</h1>
        <?php
        if ($errorMessage != '') {
            print "<p class='error-message'>$errorMessage</p>";
        }
        else {
            print "<p>The sales tax rate for $stateLongName is $taxRate.</p>";
        }
        ?>
    </body>
</html>
